<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{6D9348FB-8C3D-4DFD-949B-414FC6BF2A22}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Quadarax.Foundation.Common</RootNamespace>
    <AssemblyName>QDR.FND.Common</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>quadarax_dll.ico</ApplicationIcon>
  </PropertyGroup>
  <PropertyGroup>
    <SignAssembly>true</SignAssembly>
  </PropertyGroup>
  <PropertyGroup>
    <AssemblyOriginatorKeyFile>quadarax_strong_name_key.pfx</AssemblyOriginatorKeyFile>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Cache\Cache.cs" />
    <Compile Include="Cache\VolatileCache.cs" />
    <Compile Include="Console\ConsoleWriter.cs" />
    <Compile Include="Data\CsvHelper.cs" />
    <Compile Include="Data\Extensions\SqlCommandExt.cs" />
    <Compile Include="Log\Extensions\ObjectExt.cs" />
    <Compile Include="Log\ILogging.cs" />
    <Compile Include="Log\ILoggingProvider.cs" />
    <Compile Include="Log\Logging.cs" />
    <Compile Include="Log\Providers\AbstractLoggingProvider.cs" />
    <Compile Include="Log\Providers\DummyLoggingProvider.cs" />
    <Compile Include="Log\SeverityEnum.cs" />
    <Compile Include="Object\Singleton.cs" />
    <Compile Include="Object\WeakReference.cs" />
    <Compile Include="Reflection\TypePropertyLocator.cs" />
    <Compile Include="Value\Result.cs" />
    <Compile Include="Xml\Extensions\XmlNodeExt.cs" />
    <Compile Include="Xml\Extensions\XmlReaderExt.cs" />
    <Compile Include="Xml\Extensions\XPathNavigatorExt.cs" />
    <Compile Include="Object\DisposableObject.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Security\Secure.cs" />
  </ItemGroup>
  <ItemGroup />
  <ItemGroup>
    <Content Include="quadarax_dll.ico" />
    <Content Include="ReleaseNote.txt" />
  </ItemGroup>
  <ItemGroup>
    <None Include="create_package.ps1" />
    <None Include="QDR.FND.Common.nuspec">
      <SubType>Designer</SubType>
    </None>
    <None Include="quadarax_strong_name_key.pfx" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>